org.multiverse.api.collections

## Interface TxnStack<E>

Type Parameters:
  `E` -

All Superinterfaces:
  java.util.Collection<E>, java.lang.Iterable<E>, TxnCollection<E>, TxnIterable<E>

All Known Implementing Classes:
  NaiveTxnStack

    public interface TxnStack<E>
    extends TxnCollection<E>

### Method Summary

Methods
`int` `getCapacity()`
`boolean` `offer(E item)`
`boolean` `offer(Txn txn, E item)`
`E` `peek()`
`E` `peek(Txn txn)`
`E` `poll()`
`E` `poll(Txn txn)`
`E` `pop()`
`E` `pop(Txn txn)`
`void` `push(E item)`
`void` `push(Txn txn, E item)`

### Methods inherited from interface org.multiverse.api.collections.TxnCollection

`add, addAll, addAll, addAll, clear, contains, containsAll, getStm, isEmpty, remove, size, toString`

### Methods inherited from interface org.multiverse.api.collections.TxnIterable

`iterator, iterator`

### Methods inherited from interface java.util.Collection

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

### Method Detail

#### getCapacity

    int getCapacity()

#### push

    void push(E item)

#### push

    void push(Txn txn,
            E item)

#### offer

    boolean offer(E item)

#### offer

    boolean offer(Txn txn,
                E item)

#### pop

    E pop()

#### pop

    E pop(Txn txn)

#### poll

    E poll()

#### poll

    E poll(Txn txn)

#### peek

    E peek()

#### peek

    E peek(Txn txn)